methods:
  post:
    - editinformations_forname
    - editinformations_name
    - editinformations_phone
    - editinformations_mobil
    - editinformations_day
    - editinformations_month
    - editinformations_year

fillin:
  enabled: true
  param:
   check_types:     [ text ]

names:
  editinformations_forname:
    required:     false
    validators:   [ MyStringValidator ]

  editinformations_name:
    required:     false
    validators:   [ MyStringValidator ]

  editinformations_phone:
    required:     false
    validators:   [ MyPhoneValidator ]

  editinformations_mobil:
    required:     false
    validators:   [ MyPhoneValidator ]

  editinformations_day:
    required:     false
    validators:   [ MyDayValidator ]

  editinformations_month:
    required:     false
    validators:   [ MyMonthValidator ]

  editinformations_year:
    required:     false
    validators:   [ MyYearValidator ]

MyStringValidator:
    class:         sfStringValidator
    param:
      min:         2
      min_error:   2 caract&egrave;res minimum

MyPhoneValidator:
    class:         sfStringValidator
    param:
      min:         6
      min_error:   6 caract&eacute;res minimum

MyDayValidator:
    class:         sfNumberValidator
    param:
      nan_error:   merci d'entrer un nombre entier
      min:         1
      min_error:   jour incorrect
      max:         31
      max_error:   jour incorrect

MyMonthValidator:
    class:         sfNumberValidator
    param:
      nan_error:   merci d'entrer un nombre entier
      min:         1
      min_error:   mois incorrect
      max:         12
      max_error:   mois incorrect

MyYearValidator:
    class:         sfNumberValidator
    param:
      nan_error:   merci d'entrer un nombre entier
      min:         1900
      min_error:   ann&eacute; incorrecte
      max:         2008
      max_error:   ann&eacute;e incorrecte